%def_without test
%define module_version 0.103
%define module_name File-VirusScan
%def_without test
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Class/Accessor/Fast.pm) perl(Config.pm) perl(Cwd.pm) perl(Data/ResultSet.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(HTML/TokeParser.pm) perl(IO/Dir.pm) perl(IO/File.pm) perl(IO/Select.pm) perl(IO/Socket/INET.pm) perl(IO/Socket/UNIX.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(Test/Class.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.103
Release: alt1
Summary: Unified interface for virus scanning of files/directories
Group: Development/Perl
License: gpl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DS/DSKOLL/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This class provides a common API for scanning files or directories with
one or more third party virus scanners.

Virus scanners are supported via pluggable engines under the
the File::VirusScan::Engine manpage namespace.  At the time of this release,
the following plugins are shipped with File::VirusScan:

=over 4

=item Clam Antivirus

Scanning daemon via the File::VirusScan::Engine::Daemon::ClamAV::Clamd manpage, and
commandline scanner via the File::VirusScan::Engine::Command::ClamAV::Clamscan manpage

=item NAI UVScan

the File::VirusScan::Engine::Command::NAI::Uvscan manpage

=item F-Secure FSAV

the File::VirusScan::Engine::Command::FSecure::FSAV manpage

=item Trend Micro

Scanning daemon via the File::VirusScan::Engine::Daemon::Trend::Trophie manpage,
commandline scanning via
the File::VirusScan::Engine::Command::Trend::Vscan manpage

=item BitDefender BDC

the File::VirusScan::Engine::Command::BitDefender::BDC manpage

=item Command Antivirus

the File::VirusScan::Engine::Command::Authentium::CommandAntivirus manpage

=item Norman Antivirus

the File::VirusScan::Engine::Command::Norman::NVCC manpage

=item ESET

Scanning via esets_cli with the File::VirusScan::Engine::Command::ESET::NOD32 manpage

=item Symantec

Scanning via Carrier Scan server with the File::VirusScan::Engine::Daemon::Symantec::CSS manpage

=item F-PROT

Scanning daemon via the File::VirusScan::Engine::Daemon::FPROT::V4 manpage and
the File::VirusScan::Engine::Daemon::FPROT::V6 manpage, as well as the
commandline scanners via the File::VirusScan::Engine::Command::FPROT::FPROT manpage and the File::VirusScan::Engine::Command::FPROT::Fpscan manpage

=item Central Command Vexira

the File::VirusScan::Engine::Command::CentralCommand::Vexira manpage

=item Sophos

Daemonized scanning using the Sophie daemon with
the File::VirusScan::Engine::Daemon::Sophos::Sophie manpage.  Commandline scanning with
the File::VirusScan::Engine::Command::Sophos::Sweep manpage or
the File::VirusScan::Engine::Command::Sophos::Savscan manpage

=item Kaspersky

Scanning with aveserver using
the File::VirusScan::Engine::Command::Kaspersky::AVP5 manpage, or with kavscanner using
the File::VirusScan::Engine::Command::Kaspersky::Kavscanner manpage

=back


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes COPYING README
%perl_vendor_privlib/F*

%changelog
* Wed Oct 14 2015 Igor Vlasenko <viy@altlinux.ru> 0.103-alt1
- regenerated from template by package builder

* Tue Apr 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.102-alt1
- initial import by package builder

